| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::OutputStream Class Reference

List of all members.

## Detailed Description

Definition at line 428 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::OutputStream::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 460 of file GaudiSvcConf.py.

    00460                                                                :
    00461       super(OutputStream, self).__init__(name)
    00462       for n,v in kwargs.items():
    00463          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::OutputStream::getDlls | ( |  | self | ) |

Definition at line 464 of file GaudiSvcConf.py.

    00464                      :
    00465       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::OutputStream::getType | ( |  | self | ) |

Definition at line 466 of file GaudiSvcConf.py.

    00466                      :
    00467       return 'OutputStream'
      pass # class OutputStream

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::OutputStream::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'Enable' : True, # bool
        'ErrorMax' : 1, # int
        'ErrorCount' : 0, # int
        'AuditAlgorithms' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditReinitialize' : False, # bool
        'AuditRestart' : False, # bool
        'AuditExecute' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditBeginRun' : False, # bool
        'AuditEndRun' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'MonitorService' : 'MonitorSvc', # str
        'ItemList' : [  ], # list
        'OptItemList' : [  ], # list
        'Preload' : True, # bool
        'PreloadOptItems' : False, # bool
        'Output' : '', # str
        'OutputFile' : '', # str
        'EvtDataSvc' : 'EventDataSvc', # str
        'EvtConversionSvc' : 'EventPersistencySvc', # str
        'AcceptAlgs' : [  ], # list
        'RequireAlgs' : [  ], # list
        'VetoAlgs' : [  ], # list
        'VerifyItems' : True, # bool
      }

Definition at line 429 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::OutputStream::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 458 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py